bugGNU Octave - Bugs: bug #61551, [octave forge] (video) pkg update...

 
 

bug #61551: [octave forge] (video) pkg update error for video about "error_state"

Submitted by:  None
Submitted on:  Thu 25 Nov 2021 01:15:26 AM UTC
 
Category:  Octave Forge Package Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Unexpected Error or Warning
Status:  Fixed Assigned to:  None
Originator Name:  Originator Email:  -email is unavailable-
Open/Closed:  * Closed Release:  * dev
Operating System:  * GNU/Linux
* Mandatory Fields

Add a New Comment (Rich Markup)
   

Comment Type & Canned Response:
       

 

Mon 29 Nov 2021 07:32:44 AM UTC, comment #4: 

2.0.2 is released, closing as fixed

Andreas Weber <andy1978>
Project Member
Sun 28 Nov 2021 06:45:58 PM UTC, comment #3: 
Andreas Weber <andy1978>
Project Member
Fri 26 Nov 2021 09:02:19 AM UTC, comment #2: 

Thanks for pointing out, I've removed the references here: https://sourceforge.net/p/octave/video/ci/c968b2894025e0ec48da9eef73d08296ec474900/

Andreas Weber <andy1978>
Project Member
Thu 25 Nov 2021 01:47:30 AM UTC, comment #1: 

The global 'error_state' variable has been useless for quite some time now.  It's been removed on the default branch (what will become version 8.1 in about a year).  Since about 6 years ago, it has never had a value other than 0 in Octave code and is no longer useful for checking whether an error has occurred because exceptions are thrown, so checking the state of a variable after an error occurs is not useful except inside a 'catch' clause that handles 'octave::execution_exception'.

All uses of this variable should be removed from the video package and any other packages that still use it.  You should have been seeing a warning at compile time about it being deprecated since before version 6 was released (it was marked as deprecated in May 2019).

John W. Eaton <jwe>
Project Administrator
Thu 25 Nov 2021 01:15:26 AM UTC, original submission:  

Hello Octave, this is happening now with pkg update for GNU Octave Version: 8.0.0 (hg id: e27be169feff).

cap_ffmpeg_wrapper.cc:204:9: error: use of undeclared identifier 'error_state'
  if (! error_state)
        ^
cap_ffmpeg_wrapper.cc:538:9: error: use of undeclared identifier 'error_state'
  if (! error_state)
        ^
cap_ffmpeg_wrapper.cc:618:7: error: use of undeclared identifier 'error_state'
  if (error_state)
      ^
3 errors generated.

...

error: pkg: error running 'make' for the video package
error: called from
    configure_make at line 110 column 9
    install at line 202 column 7
    pkg at line 570 column 9
    pkg at line 729 column 11

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by andy1978 (Posted a comment)
  • -email is unavailable- added by jwe (Posted a comment)
  •  

    There are 0 votes so far. Votes easily highlight which items people would like to see resolved in priority, independently of the priority of the item set by tracker managers.

    Only project members can vote.

     

     

     

     

    Follow 3 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2021-11-29 andy1978 Open/ClosedOpen => Closed
    2021-11-28 andy1978 StatusNone => Fixed
    2021-11-25 jwe Summarypkg update error for video about "error_state" => [octave forge] (video) pkg update error for video about "error_state"

    Back to the top


    Powered by Savane 3.9